Bug 838221 - [abrt] darktable-1.0.3-1.fc17: _dt_sigsegv_handler: Process /usr/bin/darktable was killed by signal 11 (SIGSEGV)
[abrt] darktable-1.0.3-1.fc17: _dt_sigsegv_handler: Process /usr/bin/darktabl...
Status: CLOSED DEFERRED
Product: Fedora
Classification: Fedora
Component: darktable (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Edouard Bourguignon
Fedora Extras Quality Assurance
abrt_hash:336536a5db9714cf885c71a0a99...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-07 08:52 EDT by christian.kirbach@googlemail.com
Modified: 2012-09-14 11:35 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-14 11:35:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (61.25 KB, text/plain)
2012-07-07 08:52 EDT, christian.kirbach@googlemail.com
no flags Details
File: maps (99.24 KB, text/plain)
2012-07-07 08:52 EDT, christian.kirbach@googlemail.com
no flags Details
File: dso_list (20.92 KB, text/plain)
2012-07-07 08:52 EDT, christian.kirbach@googlemail.com
no flags Details
File: build_ids (8.13 KB, text/plain)
2012-07-07 08:52 EDT, christian.kirbach@googlemail.com
no flags Details

  None (edit)
Description christian.kirbach@googlemail.com 2012-07-07 08:52:23 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        darktable '/space/Bilder/2012-07 Mainz Taufe Paul/RAW/_DSC9478.NEF'
comment:        Added/removed the lens correction control two or three times
crash_function: _dt_sigsegv_handler
executable:     /usr/bin/darktable
kernel:         3.4.4-3.fc17.x86_64
pid:            11191
pwd:            /home/nazgul
time:           Sa 07 Jul 2012 14:49:36 CEST
uid:            1000
username:       nazgul

backtrace:      Text file, 62722 bytes
build_ids:      Text file, 8323 bytes
dso_list:       Text file, 21425 bytes
maps:           Text file, 101626 bytes

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/nazgul/2

core_backtrace:
:- 0x0 - - -
:f1285beb7f8c8b60ec029552ba5c7701bf79a2d1 0x4e3d7 - libdarktable.so -

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=2
:HOSTNAME=rivendell
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:XDG_SESSION_COOKIE=2d6effe439fddfe49caea96d0000000e-1341598006.300131-957152129
:GNOME_KEYRING_CONTROL=/run/user/nazgul/keyring-8al40G
:CLUTTER_VBLANK=none
:QT_GRAPHICSSYSTEM_CHECKED=1
:IMSETTINGS_MODULE=none
:USER=nazgul
:USERNAME=nazgul
:MAIL=/var/spool/mail/nazgul
:PATH=/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/home/nazgul/.local/bin:/home/nazgul/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/nazgul
:XMODIFIERS=@im=none
:GNOME_KEYRING_PID=992
:LANG=de_DE.utf8
:GDM_LANG=de_DE.utf8
:GDMSESSION=gnome
:SSH_ASKPASS=/usr/libexec/openssh/gnome-ssh-askpass
:HISTCONTROL=ignoredups
:XDG_SEAT=seat0
:HOME=/home/nazgul
:SHLVL=1
:LOGNAME=nazgul
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-ncBgtsNeV8,guid=ecb566add1edfc2e42f9c8ac00000019
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/nazgul
:DISPLAY=:0.0
:XAUTHORITY=/var/run/gdm/auth-for-nazgul-Dgyro2/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/994,unix/unix:/tmp/.ICE-unix/994
:GPG_AGENT_INFO=/run/user/nazgul/keyring-8al40G/gpg:0:1
:SSH_AUTH_SOCK=/run/user/nazgul/keyring-8al40G/ssh
:LC_TIME=de_DE.utf8
:LC_NUMERIC=de_DE.utf8
:LC_MONETARY=de_DE.utf8
:LC_MEASUREMENT=de_DE.utf8
:GJS_DEBUG_OUTPUT=stderr
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/darktable.desktop
:GIO_LAUNCHED_DESKTOP_FILE_PID=11191
:DESKTOP_STARTUP_ID=nautilus-2214-rivendell-darktable-2_TIME20690210

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 63196                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       63196                63196                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:pos:	0
:flags:	0100000
:1:/home/nazgul/.xsession-errors
:pos:	67029
:flags:	0102002
:2:/home/nazgul/.xsession-errors
:pos:	67029
:flags:	0102002
:3:/home/nazgul/.config/darktable/library.db
:pos:	4096
:flags:	02100002
:4:pipe:[137231]
:pos:	0
:flags:	00
:5:pipe:[137231]
:pos:	0
:flags:	01
:6:anon_inode:[timerfd]
:pos:	0
:flags:	04002
:7:pipe:[137232]
:pos:	0
:flags:	00
:8:pipe:[137232]
:pos:	0
:flags:	01
:9:anon_inode:[timerfd]
:pos:	0
:flags:	04002
:10:socket:[135845]
:pos:	0
:flags:	02004002
:11:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:12:socket:[137235]
:pos:	0
:flags:	02004002
:13:/home/nazgul/.local/share/gvfs-metadata/home (deleted)
:pos:	0
:flags:	0100000
:14:/home/nazgul/.local/share/gvfs-metadata/home-06eab333.log (deleted)
:pos:	0
:flags:	0100000
:15:socket:[137236]
:pos:	0
:flags:	02004002

var_log_messages:
:Jul  7 14:49:36 rivendell kernel: [21290.029940] darktable[11191]: segfault at 0 ip           (null) sp 00007fffd6103428 error 14 in darktable[400000+2000]
:Jul  7 14:49:40 rivendell abrt[11386]: Saved core dump of pid 11191 (/usr/bin/darktable) to /var/spool/abrt/ccpp-2012-07-07-14:49:36-11191 (1183449088 bytes)
Comment 1 christian.kirbach@googlemail.com 2012-07-07 08:52:27 EDT
Created attachment 596753 [details]
File: backtrace
Comment 2 christian.kirbach@googlemail.com 2012-07-07 08:52:29 EDT
Created attachment 596754 [details]
File: maps
Comment 3 christian.kirbach@googlemail.com 2012-07-07 08:52:32 EDT
Created attachment 596755 [details]
File: dso_list
Comment 4 christian.kirbach@googlemail.com 2012-07-07 08:52:34 EDT
Created attachment 596756 [details]
File: build_ids
Comment 5 Edouard Bourguignon 2012-07-17 02:57:48 EDT
1.0.4 is in the updates-testing repository, can you try with this version?
Comment 6 christian.kirbach@googlemail.com 2012-07-17 03:32:36 EDT
I could not trigger this at will, but I will try

# yum update --enablerepo=updates-testing darktable

I did not receive any update
Comment 7 Edouard Bourguignon 2012-07-26 05:21:06 EDT
Should be in the stable repo in a few days. 1.0.5 is pending to testing at the moment.
Comment 8 christian.kirbach@googlemail.com 2012-07-28 19:07:06 EDT
I could never trigger it again at will. So it is hard to say whether it
has been fixed in 1.0.4
Comment 9 Edouard Bourguignon 2012-09-14 11:35:08 EDT
Ok so I close this bug. Feel free to reopen it if it happens again.

Note You need to log in before you can comment on or make changes to this bug.